For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns all roles of the workspace.
      • POSTCreates a new role with specified permissions.
      • POSTMoves a user from their current role to another role.
      • GETReturns all users in roles of the workspace.
      • GETReturns the role with the specified id.
      • PUTUpdates the role with the specified id.
      • POSTAdds the user to the role with the specified id.
      • GETReturns all deactivated menu items for the specified role.
      • POSTCreates or updates the deactivated menu items for the specified role.
      • POSTDeletes the role with the specified id.
      • GETReturns all permissions of the specified role.
      • POSTCreates, updates or deletes a permission of the specified role.
      • POSTArchives or unarchives the role with the specified id.
      • GETReturns all users of the specified role.
      • POSTActivates the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • GETReturns the role with the specified name.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceRoles

Returns all users of the specified role.

GET
https://api.awork.com/api/v1/roles/:roleId/users
GET
/api/v1/roles/:roleId/users
$curl https://api.awork.com/api/v1/roles/roleId/users \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "userId": "123e4567-e89b-12d3-a456-426614174000",
4 "isDeactivated": false,
5 "roleId": "123e4567-e89b-12d3-a456-426614174000"
6 }
7]
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Activates the user with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

roleIdstringRequiredformat: "uuid"
The id of the role.

Query parameters

showArchivedbooleanOptionalDefaults to false
Whether to show archived users.
pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
userIdstringformat: "uuid"
The id of the user to add to the role.
isDeactivatedboolean
Whether the user is deactivated in this role.
roleIdstringformat: "uuid"
The id of the role the user is assigned to.

Errors

404
Not Found Error